"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const child_process_1 = require("child_process");
const util_1 = require("util");
const json_1 = require("./json");
const exec = util_1.promisify(child_process_1.exec);
// Path to python implementation of the parser
const PYTHON_HELPER = path.resolve(__dirname, 'python_parser.py');
/**
 * Parser for generating widgets from Widget definitions in python.
 */
class PythonParser extends json_1.JsonParser {
    start() {
        // This calls out to an implementation in python, that pipes back JSON
        // in our custom format, see JsonParser.
        const cmd = `python "${PYTHON_HELPER}" "${this.input}"`;
        return exec(cmd, { windowsHide: true }).then(({ stdout, stderr }) => {
            const data = JSON.parse(stdout);
            return this.processDefinition(data);
        });
    }
}
exports.PythonParser = PythonParser;
//# sourceMappingURL=python.js.map