import { TemplateWriter, TemplateState } from './template';
import { Attributes, IWidget } from '../core';
/**
 * A writer for Java based widgets
 */
export declare class JavaWriter extends TemplateWriter {
    /**
     * Create a Java writer
     */
    constructor(output: string, options?: Partial<TemplateWriter.IOptions>);
    /**
     * Write out a sequence of widget definitions to disk.
     *
     * @param filename The filename to save to.
     * @param widgets The widget definitions to write.
     */
    write(filename: string, widgets: IWidget[]): void;
    javatype(attr: Attributes.Attribute): string;
    transformState(data: TemplateState): TemplateState;
    finalize(): Promise<void>;
}
