"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs-extra");
const path = require("path");
const base_1 = require("./base");
/**
 * Javascript ES6 code writer.
 */
class JSES6Writer extends base_1.BaseJSWriter {
    constructor(output, options = {}) {
        super(output, Object.assign({ template: path.resolve(__dirname, '../../../templates/js-es6.njk') }, options));
    }
    /**
     * Called when all widgets are parsed. Writes index.js if appropriate.
     */
    finalize() {
        return super.finalize().then(() => {
            if (this.outputMultiple) {
                // Write init file for directory output
                let fname = this.filenameForIndex();
                let lines = this.modules.map((name) => {
                    return `export { ${name}Model } from './${name}';`;
                });
                lines.push(''); // add an empty line at end
                return fs.writeFile(fname, lines.join('\n'));
            }
        });
    }
}
exports.JSES6Writer = JSES6Writer;
//# sourceMappingURL=js-es6.js.map