"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("../../core");
function formatValue(value) {
    if (value === undefined) {
        return 'undefined';
    }
    return JSON.stringify(value);
}
/**
 * Get the default value formatted for JavaScript
 *
 * @param data The attribute whose default value to use
 */
function getDefaultValue(data) {
    if (data === null || data === undefined ||
        typeof data === 'number' || typeof data === 'boolean' ||
        typeof data === 'string') {
        return formatValue(data);
    }
    else if (core_1.Attributes.isUnion(data)) {
        return getDefaultValue(data.oneOf[0]);
    }
    // JSON object
    return formatValue(data.default);
}
exports.getDefaultValue = getDefaultValue;
//# sourceMappingURL=utils.js.map